Skip to main content
GET
/
api
/
v1
/
agent
List Agents
curl --request GET \
  --url https://dev.voice.ai/api/v1/agent/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "agent_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "name": "Customer Support Agent",
    "config": {
      "prompt": "You are a helpful customer support agent.",
      "greeting": "Hello! How can I help you today?"
    },
    "status": "deployed",
    "status_code": 10,
    "kb_id": 42,
    "created_at": "2026-03-06T18:00:00Z",
    "updated_at": "2026-03-06T18:05:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer

Query Parameters

page
integer | null

Page number (1-based)

Required range: x >= 1
limit
integer | null

Items per page

Required range: 1 <= x <= 100
show_statuses
string[] | null

List of statuses to show. By default shows deployed and paused agents.

Response

Returns Agent[] when pagination params are omitted, or PaginatedAgentResponse when page or limit is provided.

items
Agent · object[]
required
pagination
PaginationMeta · object
required